DevelopersAPIReferencecategories
Retrieve category
Retrieve one category by id with the Walletguide REST API. Parameters, response fields, and a playground you can run.
GET
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidThe category
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullname*stringtype*stringValue in
"activeIncome""passiveIncome""gainsLosses""fixedExpenses""variableExpenses""neutral"emoji*string|nullsystem*booleansystemKey*string|nullorder*|Range
-140737488355328 <= value <= 140737488355327categoryGroupId*|Format
uuidcreatedTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X GET "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/categories/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "name": "string", "type": "activeIncome", "emoji": "string", "system": true, "systemKey": "string", "order": -140737488355328, "categoryGroupId": "94a69c98-7014-42e1-a3ec-9154712b315b", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}